# __gnu_parallel::iterator_triple< Iterator1, Iterator2, Iterator3, IteratorCategory > Class Template Reference

List of all members.

## Detailed Description

### template<typename Iterator1, typename Iterator2, typename Iterator3, typename IteratorCategory>
class __gnu_parallel::iterator_triple< Iterator1, Iterator2, Iterator3, IteratorCategory >

A triple of iterators. The usual iterator operations are applied to all three child iterators.

Definition at line 125 of file iterator.h.

## Public Types

- typedef Iterator1::difference_type difference_type
- typedef IteratorCategory iterator_category
- typedef type * pointer
- typedef type & reference
- typedef void value_type

## Public Member Functions

- iterator_triple (const Iterator1 &_first, const Iterator2 &_second, const Iterator3 &_third)
- iterator_triple ()
- operator Iterator3 () const
- type operator+ (difference_type delta) const
- const type operator++ (int)
- type & operator++ ()
- difference_type operator- (const type &other) const
- const type operator-- (int)
- type & operator-- ()
- type & operator= (const type &other)

## Public Attributes

- Iterator1 first
- Iterator2 second
- Iterator3 third

The documentation for this class was generated from the following file:

- iterator.h